import "./tasks/Haplotyper.wdl" as Haplotyper


workflow {{ project_name }} {

	File recaled_bam
	File recaled_bam_index

	String SENTIEON_INSTALL_DIR
	String sample
	String docker
	
	String fasta
	File ref_dir
	File dbmills_dir
	String db_mills
	File dbsnp_dir
	String dbsnp
	String disk_size
	String cluster_config

	call Haplotyper.Haplotyper as Haplotyper {
		input:
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		fasta=fasta,
		ref_dir=ref_dir,
		recaled_bam=recaled_bam,
		recaled_bam_index=recaled_bam_index,
		dbsnp=dbsnp,
		dbsnp_dir=dbsnp_dir,
		sample=sample,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
}
